# Use ccache by default.  Users who don't want that can set the CCACHE_DISABLE
# environment variable in their personal profile.

if ( "$path" !~ */usr/lib64/ccache* ) then
    set path = ( /usr/lib64/ccache $path )
endif

# If /var/cache/ccache is writable, use a shared cache there.  Users who don't
# want that even if they have that write permission can set the CCACHE_DIR
# and unset the CCACHE_UMASK environment variables in their personal profile.

if ( ! $?CCACHE_DIR && -d /var/cache/ccache && -w /var/cache/ccache ) then
    setenv CCACHE_DIR /var/cache/ccache
    setenv CCACHE_UMASK 002
    unsetenv CCACHE_HARDLINK
endif
