# Use ccache by default.  Users who don't want that can set the CCACHE_DISABLE
# environment variable in their personal profile.

if ! echo "$PATH" | grep -qw /usr/lib64/ccache ; then
    PATH="/usr/lib64/ccache:$PATH"
fi

# If /var/cache/ccache is writable, use a shared cache there.  Users who don't
# want that even if they have that write permission can set the CCACHE_DIR
# and unset the CCACHE_UMASK environment variables in their personal profile.

if [ -z "$CCACHE_DIR" -a -d /var/cache/ccache -a -w /var/cache/ccache ] ; then
    export CCACHE_DIR=/var/cache/ccache
    export CCACHE_UMASK=002
    unset CCACHE_HARDLINK
fi
